KTextEditor::ViewStatusMsgDCOPInterface Class Reference

`#include <viewstatusmsgdcopinterface.h>`

Inherits DCOPObject.

## Public Member Functions

| ViewStatusMsgDCOPInterface (ViewStatusMsgInterface *Parent, const char *name)
virtual | ~ViewStatusMsgDCOPInterface ()

## Detailed Description

This is the main interface to the ViewStatusMsgInterface of KTextEdit.

This will provide a consistant dcop interface to all KDE applications that use it. DCOP interface to ViewStatusMsgInterface.

Author
  Ian Reinhart Geiser geise.nosp@m.ri@k.nosp@m.de.or.nosp@m.g

Definition at line 18 of file viewstatusmsgdcopinterface.h.

## Constructor & Destructor Documentation

ViewStatusMsgDCOPInterface::ViewStatusMsgDCOPInterface | ( | ViewStatusMsgInterface * | Parent,
|  | const char * | name
| ) |  |

Construct a new interface object for the text editor.

Parameters

  Parent | the parent ViewStatusMsgInterface object that will provide us with the functions for the interface.
  name | the QObject's name

Definition at line 9 of file viewstatusmsgdcopinterface.cpp.

ViewStatusMsgDCOPInterface::~ViewStatusMsgDCOPInterface | ( |  | ) |

virtual

Destructor Cleans up the object.

Definition at line 15 of file viewstatusmsgdcopinterface.cpp.

The documentation for this class was generated from the following files:

- viewstatusmsgdcopinterface.h
- viewstatusmsgdcopinterface.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys